@import '../../styles/variables/colors';
@import '../../styles/variables/mixins';

.footerHomepage {
  background-color: #293227;
  padding: 80px 26px 28px;
  height: auto;
  position: relative;
  @include tablet {
    padding-top: 40px;
  }

  @include mobile {
    padding-top: 0;
  }

  .footerLine {
    border-top: 1px solid #6d7770;
    max-width: 1440px;
    margin: 0 auto;

    @include desktop-lg {
      max-width: 100%;
    }

    @include mobile {
      border-top: 1px solid rgba($cream-40, 0.1);
    }
  }

  .footerWrapper {
    display: flex;
    align-items: center;
    flex-direction: column;
    justify-content: space-between;
    position: relative;
    min-height: 100%;

    @include desktop-lg {
      max-width: 1440px;
      margin: 0 auto;
    }

    @include tablet-p {
      padding: 0 0px 28px;
      border-top: none;
    }

    @include mobile {
      padding: 0 0px 28px;
      border-top: none;
    }

    h4 {
      @include fontStyles($grey-20, 'Editorial New', 200, 80px);
      position: relative;
      width: max-content;
      margin-left: 14rem;
      margin-bottom: 10rem;
      span {
        text-transform: uppercase;
      }
    }
    sup {
      @include fontStyles($grey-20, 'Notera', 400, 63px);
      position: absolute;
      top: -1.2vw;
      left: -5.2vw;
    }
  }

  .discover {
    position: absolute;
    top: 20%;
    left: 50vw;
    height: 6.5vw;
    width: 6.5vw;
    @media (max-width: 1024px) {
      display: none;
    }
  }
  .houseImg {
    position: absolute;
    right: 8vw;
    top: -7vw;
    width: 30%;
    max-width: 100%;
    height: auto;
    @media (max-width: 1024px) {
      display: none;
    }
  }

  .crookedLine {
    margin-bottom: 4rem;
    @media (max-width: 1024px) {
      margin-bottom: -12rem;
      margin-top: 5rem;
      > path {
        stroke-width: 1px;
        stroke: white;
        stroke-opacity: 0.5;
      }
    }
  }
  .brandName {
    margin-bottom: 5.25rem;
    @media (max-width: 1024px) {
      margin-bottom: 4.25rem;
      > path {
        stroke: white;
        stroke-opacity: 0.5;
      }
    }
  }

  .footerLinksWrapper {
    display: flex;
    justify-content: center;
    color: $grey-10;
    font-size: 1.125rem;
    width: 100%;

    @include tablet-p {
      font-size: 1.7rem;
      flex-direction: column-reverse;
    }

    @include mobile {
      flex-direction: column-reverse;
    }
  }

  a {
    text-decoration: none;
    color: $grey-10;
  }

  .footerLinks {
    display: flex;
    color: $grey-10;
    font-weight: 400;
    font-size: 18px;
    letter-spacing: 0.01em;
    justify-content: space-between;

    & > * + * {
      margin-left: 20px;
    }

    @include tablet-p {
      text-align: center;
      justify-content: center;
    }

    @include mobile {
      font-size: 12px;
      text-align: center;
      justify-content: center;
      opacity: 0.7;

      & > * + * {
        margin-left: 10px;
      }
    }

    @include iphone5 {
      font-size: 11px;
    }
  }

  .themeText {
    position: relative;
    width: 100%;
    margin: 60px 0 60px;

    @include mobile {
      margin: 10px 0 10px;
    }

    img {
      position: absolute;
      left: 0;
      width: 100%;
    }

    // themeTextBold
    .themeText2 {
      position: relative;
      font-family: 'Editorial New';
      height: 200px;
      width: 100%;

      @include tablet-p {
        margin-top: 0px;
        height: 120px;
      }

      @include mobile {
        margin-top: 40px;
        height: 80px;
      }

      svg {
        fill: transparent;
      }
    }
  }

  .topzigBorder {
    max-width: 100%;
    margin: 0 auto;
    padding-top: 50px;

    @include tablet-p {
      display: none;
    }

    @include mobile {
      display: none;
    }

    img {
      width: 100%;
    }
  }
  .reraDetails {
    color: white;
    text-align: center;
    font-size: 18px;
    p {
      margin: 0.5rem;
    }
    @include mobile {
      font-size: 12px;
      opacity: 0.7;
    }
  }
}
